<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>com.qmth.sop.service</groupId>
    <artifactId>sop-service</artifactId>
    <version>1.1.2</version>
    <packaging>pom</packaging>

    <modules>
        <module>sop-api</module>
        <module>sop-business</module>
        <module>sop-common</module>
        <module>sop-task</module>
    </modules>

    <properties>
        <java.version>1.8</java.version>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
        <qmth.boot.version>1.0.4</qmth.boot.version>
        <swagger2.version>2.9.2</swagger2.version>
        <fastjson.version>1.2.68</fastjson.version>
        <fileupload.version>1.4</fileupload.version>
        <guava.version>27.1-jre</guava.version>
        <hutool.version>5.0.6</hutool.version>
        <bcprov.version>1.52</bcprov.version>
        <spring-boot.version>2.3.7.RELEASE</spring-boot.version>
        <gson.version>2.8.6</gson.version>
        <commons.version>3.10</commons.version>
        <commons.codec.version>1.15</commons.codec.version>
        <commons-io.version>2.6</commons-io.version>
        <jackson.version>2.11.0</jackson.version>
        <swagger2-bootstrap.version>1.9.6</swagger2-bootstrap.version>
        <jetbrains.version>13.0</jetbrains.version>
        <httpclient.version>4.5.12</httpclient.version>
        <version-plugin.version>2.8.1</version-plugin.version>
        <netty-all.version>4.1.49.Final</netty-all.version>
        <commons-text.version>1.9</commons-text.version>
        <junit.version>4.13</junit.version>
        <activiti.version>6.0.0</activiti.version>
        <activiti-modeler.version>5.22.0</activiti-modeler.version>
        <zip4j.version>1.3.3</zip4j.version>
        <nanoid.version>2.0.0</nanoid.version>
<!--        <jasypt.version>3.0.3</jasypt.version>-->
        <httpmime.version>4.5.13</httpmime.version>
        <dom4j.version>2.1.4</dom4j.version>
        <easyexcel.version>3.0.5</easyexcel.version>
    </properties>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>com.qmth.sop.server</groupId>
                <artifactId>sop-api</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.sop.common</groupId>
                <artifactId>sop-common</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.sop.business</groupId>
                <artifactId>sop-business</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.sop.task</groupId>
                <artifactId>sop-task</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>starter-api</artifactId>
                <version>${qmth.boot.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>core-uid</artifactId>
                <version>${qmth.boot.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>core-cache</artifactId>
                <version>${qmth.boot.version}</version>
            </dependency>
<!--            <dependency>-->
<!--                <groupId>com.qmth.boot</groupId>-->
<!--                <artifactId>core-concurrent</artifactId>-->
<!--                <version>${qmth.boot.version}</version>-->
<!--            </dependency>-->
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>core-fss</artifactId>
                <version>${qmth.boot.version}</version>
            </dependency>
<!--            <dependency>-->
<!--                <groupId>com.qmth.boot</groupId>-->
<!--                <artifactId>data-redis</artifactId>-->
<!--                <version>${qmth.boot.version}</version>-->
<!--            </dependency>-->
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>data-mybatis-plus</artifactId>
                <version>${qmth.boot.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>tools-device</artifactId>
                <version>${qmth.boot.version}</version>
            </dependency>
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>easyexcel</artifactId>
                <version>${easyexcel.version}</version>
            </dependency>
<!--            <dependency>-->
<!--                <groupId>com.qmth.boot</groupId>-->
<!--                <artifactId>tools-poi</artifactId>-->
<!--                <version>${qmth.boot.version}</version>-->
<!--            </dependency>-->
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>core-solar</artifactId>
                <version>${qmth.boot.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>core-logging</artifactId>
                <version>${qmth.boot.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>core-models</artifactId>
                <version>${qmth.boot.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>core-retrofit</artifactId>
                <version>${qmth.boot.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>core-sms</artifactId>
                <version>${qmth.boot.version}</version>
            </dependency>
            <dependency>
                <groupId>io.springfox</groupId>
                <artifactId>springfox-swagger-ui</artifactId>
                <version>${swagger2.version}</version>
            </dependency>
            <!--            <dependency>-->
            <!--                <groupId>com.github.xiaoymin</groupId>-->
            <!--                <artifactId>swagger-bootstrap-ui</artifactId>-->
            <!--                <version>${swagger2-bootstrap.version}</version>-->
            <!--            </dependency>-->
            <dependency>
                <groupId>io.springfox</groupId>
                <artifactId>springfox-swagger2</artifactId>
                <version>${swagger2.version}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.commons</groupId>
                <artifactId>commons-lang3</artifactId>
                <version>${commons.version}</version>
            </dependency>
            <dependency>
                <groupId>commons-codec</groupId>
                <artifactId>commons-codec</artifactId>
                <version>${commons.codec.version}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.commons</groupId>
                <artifactId>commons-text</artifactId>
                <version>${commons-text.version}</version>
            </dependency>
            <dependency>
                <groupId>com.google.code.gson</groupId>
                <artifactId>gson</artifactId>
                <version>${gson.version}</version>
            </dependency>
            <dependency>
                <groupId>com.google.guava</groupId>
                <artifactId>guava</artifactId>
                <version>${guava.version}</version>
            </dependency>
            <dependency>
                <groupId>commons-fileupload</groupId>
                <artifactId>commons-fileupload</artifactId>
                <version>${fileupload.version}</version>
            </dependency>
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>fastjson</artifactId>
                <version>${fastjson.version}</version>
            </dependency>
            <dependency>
                <groupId>com.fasterxml.jackson.core</groupId>
                <artifactId>jackson-core</artifactId>
                <version>${jackson.version}</version>
            </dependency>
            <dependency>
                <groupId>com.fasterxml.jackson.core</groupId>
                <artifactId>jackson-annotations</artifactId>
                <version>${jackson.version}</version>
            </dependency>
            <dependency>
                <groupId>com.fasterxml.jackson.core</groupId>
                <artifactId>jackson-databind</artifactId>
                <version>${jackson.version}</version>
            </dependency>
            <dependency>
                <groupId>cn.hutool</groupId>
                <artifactId>hutool-all</artifactId>
                <version>${hutool.version}</version>
            </dependency>
            <!-- aes PKCS7 -->
            <dependency>
                <groupId>org.bouncycastle</groupId>
                <artifactId>bcprov-jdk15on</artifactId>
                <version>${bcprov.version}</version>
            </dependency>
            <dependency>
                <groupId>org.jetbrains</groupId>
                <artifactId>annotations</artifactId>
                <version>${jetbrains.version}</version>
                <scope>compile</scope>
            </dependency>
            <dependency>
                <groupId>commons-io</groupId>
                <artifactId>commons-io</artifactId>
                <version>${commons-io.version}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.httpcomponents</groupId>
                <artifactId>httpclient</artifactId>
                <version>${httpclient.version}</version>
            </dependency>
            <dependency>
                <groupId>io.netty</groupId>
                <artifactId>netty-all</artifactId>
                <version>${netty-all.version}</version>
            </dependency>
            <!--quartz-->
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-quartz</artifactId>
                <version>${spring-boot.version}</version>
            </dependency>
            <dependency>
                <groupId>junit</groupId>
                <artifactId>junit</artifactId>
                <version>${junit.version}</version>
            </dependency>
            <dependency>
                <groupId>org.activiti</groupId>
                <artifactId>activiti-engine</artifactId>
                <version>${activiti.version}</version>
            </dependency>
            <dependency>
                <groupId>org.activiti</groupId>
                <artifactId>activiti-spring</artifactId>
                <version>${activiti.version}</version>
            </dependency>
            <dependency>
                <groupId>org.activiti</groupId>
                <artifactId>activiti-spring-boot-starter-basic</artifactId>
                <version>${activiti.version}</version>
            </dependency>
            <dependency>
                <groupId>org.activiti</groupId>
                <artifactId>activiti-common-rest</artifactId>
                <version>${activiti.version}</version>
            </dependency>
            <dependency>
                <groupId>org.activiti</groupId>
                <artifactId>activiti-modeler</artifactId>
                <version>${activiti-modeler.version}</version>
            </dependency>
            <dependency>
                <groupId>org.activiti</groupId>
                <artifactId>activiti-bpmn-layout</artifactId>
                <version>${activiti.version}</version>
            </dependency>
            <dependency>
                <groupId>net.lingala.zip4j</groupId>
                <artifactId>zip4j</artifactId>
                <version>${zip4j.version}</version>
            </dependency>
            <dependency>
                <groupId>com.aventrix.jnanoid</groupId>
                <artifactId>jnanoid</artifactId>
                <version>${nanoid.version}</version>
            </dependency>
<!--            <dependency>-->
<!--                <groupId>com.github.ulisesbocchio</groupId>-->
<!--                <artifactId>jasypt-spring-boot-starter</artifactId>-->
<!--                <version>${jasypt.version}</version>-->
<!--            </dependency>-->
            <dependency>
                <groupId>org.apache.httpcomponents</groupId>
                <artifactId>httpmime</artifactId>
                <version>${httpmime.version}</version>
            </dependency>
            <dependency>
                <groupId>org.dom4j</groupId>
                <artifactId>dom4j</artifactId>
                <version>${dom4j.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <dependencies>
        <!-- 默认依赖测试JAR -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <version>${spring-boot.version}</version>
            <scope>test</scope>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <configuration>
                    <skip>true</skip>
                    <skipTests>true</skipTests>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>versions-maven-plugin</artifactId>
                <version>${version-plugin.version}</version>
                <configuration>
                    <generateBackupPoms>false</generateBackupPoms>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-resources-plugin</artifactId>
                <version>3.2.0</version>
                <configuration>
                    <encoding>UTF-8</encoding>
                    <useDefaultDelimiters>false</useDefaultDelimiters>
                    <delimiters>
                        <delimiter>$[*]</delimiter>
                    </delimiters>
                    <!-- 过滤后缀不需要转码的文件后缀名pdf -->
                    <nonFilteredFileExtensions>
                        <nonFilteredFileExtension>pdf</nonFilteredFileExtension>
                    </nonFilteredFileExtensions>
                </configuration>
            </plugin>
        </plugins>
    </build>

</project>
